C Utility routines

C Prints a number

      SUBROUTINE PRN (N, D)
      DOUBLE PRECISION N
      INTEGER D
      CHARACTER*6 NF
      PRINT '(1X, ' // NF(N, D) // ')', N
      END

C Prints a string and a number

      SUBROUTINE PRSN (S, N, D)
      CHARACTER S*(*)
      DOUBLE PRECISION N
      INTEGER D
      CHARACTER*6 NF
      PRINT '(1X, A, ' // NF(N, D) // ')', S, N
      END

C Prints a string, a number and a string

      SUBROUTINE PRSNS (S1, N, S2, D)
      CHARACTER S1*(*), S2*(*)
      DOUBLE PRECISION N
      INTEGER D
      CHARACTER*6 NF
      PRINT '(1X, A, ' // NF(N, D) // ', A)', S1, N, S2
      END

C Prints a string, a number, a string and a number

      SUBROUTINE PRSNSN (S1, N1, S2, N2, D)
      CHARACTER S1*(*), S2*(*)
      DOUBLE PRECISION N1, N2
      INTEGER D
      CHARACTER*6 NF
      PRINT '(1X, A, ' // NF(N1, D) // ', A, ' // NF(N2, D) // ')', 
     $ S1, N1, S2, N2
      END
.
